/*
Theme Name: NEW Child - rebuilding for new base theme
Theme URI: https://digitalservice.missouri.edu
Description: Child theme based on base theme >=.0.6.0
Template: mizzou-wp-base
Author: Scott Chaplin, University of Missouri
Author URI: https://digitalservice.missouri.edu
Version: 0.2.9
*/

/* make long links responsive */
a {
  word-break: break-word;
}

h2 {
  font-size: 2.2rem;
  margin-bottom: 0.6rem;
  font-weight: 700;
}

h3 {
  /*
  font-size: 1.7rem;
  margin-bottom: 0.5rem;
  font-weight: 700;
  */

  /* font-size: 20.8px; */
  font-size: 1.3rem;
  font-style: normal;
  font-weight: 700;
}

h4 {
  font-size: 1.2rem;
  margin-bottom: 0.4rem;
  font-weight: 700;
}

h5 {
  font-size: 1.1rem;
  margin-bottom: 0.4rem;
  font-weight: 700;
}

h6 {
  font-size: 1rem;
  margin-bottom: 0.4rem;
  font-weight: 700;
}

.h7 {
  font-size: 16px !important;
  font-weight: 700 !important;
}

@media (min-width: 992px) {
  .pig-page-content__single,
  .pig-page-content__article {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

.pig-page-content {
  padding: 0 4px;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(255, 255, 255, 0.8) url("ajax-loader.gif") 50% 50% no-repeat;
}

/* When the body has the loading class, we turn the scrollbar off with overflow:hidden */
body.loading {
  overflow: hidden;
}

/* Anytime the body has the loading class, our modal element will be visible */
body.loading .modal {
  display: block;
}

.pig-template__container:not(.pig-template-menu__container) {
  padding-left: 10px;
  padding-right: 10px;
}

@media (max-width: 1119px) {
  li.pig-comp-primary-nav__item > a {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  #miz-comp-primary-nav__toggle {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  ul.pig-comp-primary-nav__items {
    margin-bottom: -1px !important;
  }

  .pig-template-menu__container {
    max-width: 100%;
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
}

/* Bug fix for mobile menu */
nav.miz-comp-primary-nav > button {
  position: relative !important;
}

/* Main section */
.pig-comp-masthead h1 a {
  font-size: 1.63em !important;
}

.pig-section-cta__item {
  width: 29%;
  padding: 0 5px !important;
  min-width: 200px;
}

@media (max-width: 767px) {
  .pig-section-cta__item {
    width: 100%;
  }
}

.pig-section-cta {
  padding: 0;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  flex-direction: row;
  flex-wrap: wrap;
}

/* pig pic on front page is in two locations sidebar and center column; sidebar pic only shows 600px and below */
@media (min-width: 601px) {
  .pig-comp-image-sidebar {
    display: none;
  }
}

.pig-section-cta__item--full {
  float: right;
  width: 67%;
  max-width: 67%;
}

.pig-article {
  max-width: 100%;
  padding-right: 0;
}

/* Table section */
.pig-comp-listingTable {
  width: 100%;
  border: 1px solid #000;
}

.pig-comp-listingTable th {
  background-color: #f1b82d;
  text-align: center;
  vertical-align: middle;
  padding-left: 2px;
}

.pig-comp-listingTable caption {
  display: table-caption;
  text-align: center;
}

.pig-comp-listingTable caption h2 {
  margin-top: 35px;
}

.pig-comp-listingTable thead {
  background-color: #aaa;
}

.pig-comp-listingTable thead tr th {
  padding: 5px;
  text-align: left;
}

.pig-comp-listingTable tfoot {
  border-top: 1px solid #ccc;
}

.pig-comp-listingTable tbody tr:nth-child(even) {
  background-color: #ccc;
}

.pig-comp-listingTable tbody tr td {
  padding: 5px;
}

.pig-comp-listingTable.lab tr:first-child th:first-child,
.pig-comp-listingTable.lab tr:first-child th:first-child + th {
  width: 16%;
}

/* Forms */
.pig-comp-form-heading {
  font-weight: bold;
  padding: 10px;
}

.pig-comp-form-required {
  color: #f00;
}

.pig-section-form-main-wrapper {
  background-color: #f8f8f8;
  width: 80%;
}

.pig-section-form-wrapper {
  display: table;
  width: auto;
}

.pig-section-form-row {
  display: table-row;
  width: auto;
}

.pig-section-form-cell-alpha {
  float: left;
  display: table-column;
  width: 40%;
  padding-left: 20px;
}

.pig-section-form-cell-omega {
  float: right;
  display: table-column;
  width: 50%;
}

.pig-section-form-buttons {
  padding: 10px 0 10px 0;
}

/* Responsive code */
@media screen and (max-width: 37.5em) {
  .pig-section-sidebar {
    float: none;
    width: 100%;
    max-width: 100%;
  }

  .pig-section-cta__item--full {
    float: none;
    width: 100%;
    max-width: 100%;
  }

  .pig-section-cta__item {
    width: 100% !important;
  }

  .pig-section-cta {
    padding: 0;
  }

  .pig-comp-listingTable {
    font-size: 10pt !important;
  }

  .pig-comp-front-image {
    display: none;
  }
}

.miz-footer {
  margin-top: 2rem;
}

@media (min-width: 601px) {
  .swine-models-intro {
    display: none;
  }
}
